当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 18 篇帖子 ]  前往页数 1, 2  下一页
作者 内容
1 楼 
 文章标题 : [讨论]LumaQQ无法使用,大家帮忙看看什么问题
帖子发表于 : 2005-09-16 13:47 

注册: 2005-09-10 14:42
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
java已经装好了,Azureus都可以用的,LumaQQ却不能使用
记得上次用lumaqq的时候直接解压缩完了就可以用了的。。。
不解ing

breezy!国内源更新的~


代码:
wlpsky@ubuntu:~$ lumaqq
wlpsky@ubuntu:~$ Exception in thread "main" java.lang.NoClassDefFoundError: while resolving class: edu.tsinghua.lumaqq.LumaQQ
   at java.lang.VMClassLoader.transformException(java.lang.Class, java.lang.Throwable) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.VMClassLoader.resolveClass(java.lang.Class) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.initializeClass() (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.6.0.0)
   at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)
Caused by: java.lang.ClassNotFoundException: java.lang.StringBuilder not found in gnu.gcj.runtime.SystemClassLoader{urls=[file:/opt/LumaQQ/lib/xerces.jar,file:./,file:/opt/LumaQQ/lib/swt.jar,file:/opt/LumaQQ/lib/poifs.jar,file:./,file:/opt/LumaQQ/lib/org.eclipse.ui.workbench_3.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.osgi_3.1.0.jar,file:./,file:/opt/LumaQQ/lib/org.eclipse.jface_3.1.0.jar,file:/opt/LumaQQ/lib/org.eclipse.core.runtime_3.1.0.jar,file:./,file:/opt/LumaQQ/lib/lumaqq.jar,file:/opt/LumaQQ/lib/log4j-1.2.8.jar,file:./,file:/opt/LumaQQ/lib/jql-20050817231959.jar,file:/opt/LumaQQ/lib/jdom.jar,file:./,file:/opt/LumaQQ/lib/commons-logging.jar,file:/opt/LumaQQ/lib/commons-codec-1.3.jar,file:./], parent=gnu.gcj.runtime.ExtensionClassLoader{urls=[], parent=null}}
   at java.net.URLClassLoader.findClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.loadClass(java.lang.String, boolean) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.ClassLoader.loadClass(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
   at java.lang.Class.forName(java.lang.String, boolean, java.lang.ClassLoader) (/usr/lib/libgcj.so.6.0.0)
   ...4 more


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2005-09-16 13:52 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
java -version 看看版本。
应该是调用错了,不过可以手工指定 JAVA_HOME 的。
可以直接修改 lumaqq 指定你的JAVA位置。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2005-09-16 15:07 
头像

注册: 2005-08-29 14:49
帖子: 1119
地址: 杭州
送出感谢: 0 次
接收感谢: 3
chmod LumaQQ所在的文件夹,或许可以解决问题
sudo chmod -R 755 /?????/LumaQQ/


_________________
用心×恒 | 豆瓣 | 门户 | Blog


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2005-09-16 21:13 

注册: 2005-09-10 14:42
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
oneleaf 写道:
java -version 看看版本。
应该是调用错了,不过可以手工指定 JAVA_HOME 的。
可以直接修改 lumaqq 指定你的JAVA位置。

代码:
wlpsky@ubuntu:~$ java -version
java version "1.4.2"
gij (GNU libgcj) version 4.0.2 20050808 (prerelease) (Debian 4.0.1-4ubuntu6)

Copyright (C) 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

这个该如何作呢?
现在的LumaQQ是最新的放在/opt/LumaQQ/了
java是用的breezy的国内的源直接apt回来的
代码:
sudo apt-get install sun-j2re1.5


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2005-09-16 21:15 

注册: 2005-09-10 14:42
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
leal 写道:
chmod LumaQQ所在的文件夹,或许可以解决问题
sudo chmod -R 755 /?????/LumaQQ/

我是按照这里的安装的
http://www.ubuntu.org.cn/support/docume ... st_install
不过补丁用的是最新的而已。。。


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2005-09-16 22:29 

注册: 2005-09-16 22:27
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
把这几句加到/etc/bash.bashrc里面

JAVA_HOME="/usr/lib/j2re1.5-sun/"
export JAVA_HOME
JAVA_BIN="/usr/lib/j2re1.5-sun/bin"
export JAVA_BIN


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2005-09-17 11:51 

注册: 2005-09-10 14:42
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
rockmen1 写道:
把这几句加到/etc/bash.bashrc里面

JAVA_HOME="/usr/lib/j2re1.5-sun/"
export JAVA_HOME
JAVA_BIN="/usr/lib/j2re1.5-sun/bin"
export JAVA_BIN

不解ing
命令行下用lumaqq可以打开
但是自己添加的就是不能用,但是按照说明来的,应该不会错的阿
路径也是一样的阿

代码:
sudo gedit /usr/share/applications/LumaQQ.desktop

代码:
[Desktop Entry]
Name=LumaQQ
Comment=QQ Client
Exec=/opt/LumaQQ/lumaqq
Icon=/opt/LumaQQ/QQ.png
Terminal=false
Type=Application
Categories=Application;Network;


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2005-09-17 12:00 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
正确的做法是加入到

sudo gedit /etc/environment

插入一行:

JAVA_HOME=/usr/lib/j2re1.5-sun/

保存,关闭

执行

sudo source /etc/environment

生效环境变量设置。


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2005-09-17 12:39 

注册: 2005-09-10 14:42
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
oneleaf 写道:
正确的做法是加入到

sudo gedit /etc/environment

插入一行:

JAVA_HOME=/usr/lib/j2re1.5-sun/

保存,关闭

执行

sudo source /etc/environment

生效环境变量设置。

原来要这样阿
但是后面一个执行好象有错误。。。

sudo source /etc/environment
sudo: source: command not found


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2005-09-17 12:44 
论坛管理员

注册: 2005-03-27 0:06
帖子: 10116
系统: Ubuntu 12.04
送出感谢: 7
接收感谢: 128
重启也可以。


页首
 用户资料  
 
11 楼 
 文章标题 :
帖子发表于 : 2005-10-01 3:10 
头像

注册: 2005-09-08 9:01
帖子: 251
送出感谢: 0 次
接收感谢: 0 次
请问楼主成功了吗?

我跟你一样的问题,所有的方法我都试过了,还是不行,
所以只能用自带JRE版了,占用点空间:)


_________________
BenQ P41-C30
\找不到64位软件已经是历史了


页首
 用户资料  
 
12 楼 
 文章标题 : the same to you !
帖子发表于 : 2005-10-03 0:18 
头像

注册: 2005-10-02 13:32
帖子: 252
送出感谢: 0 次
接收感谢: 0 次
I have the same problem:(


页首
 用户资料  
 
13 楼 
 文章标题 :
帖子发表于 : 2005-10-03 6:30 
头像

注册: 2005-09-01 20:48
帖子: 510
送出感谢: 0 次
接收感谢: 0 次
楼主搞定了么?他的java是1.4.2啊,为什么dx都让他用1.5.0设啊?
应该是他的java装乱了吧?


页首
 用户资料  
 
14 楼 
 文章标题 :
帖子发表于 : 2005-10-03 6:56 
头像

注册: 2005-09-01 20:48
帖子: 510
送出感谢: 0 次
接收感谢: 0 次
哦,有点明白了,按照上面的方法应该是可以的了,因为楼主的问题是装完Jre1.5.0之后又装了个1.4.2所以lumaQQ就不能用了,因为2004T是要jre5.0的,版本低了应该就不能用了。所以前面DX的方法是想帮他找回jre1.5.0
实在不行的话就再装一遍java吧。
sudo apt-get install sun-j2re1.5


页首
 用户资料  
 
15 楼 
 文章标题 :
帖子发表于 : 2005-10-16 13:09 

注册: 2005-10-12 12:12
帖子: 7
送出感谢: 0 次
接收感谢: 0 次
ln -sf /usr/lib/j2re1.5-sun/bin/java /usr/bin/java

我是根据这里的帖子里面的http://forum.ubuntu.org.cn/viewtopic.php?t=3761&highlight=LumaQQ

4楼的babylon29兄的提示解决的。

已经可以在5.10里面使用LumaQQ了。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 18 篇帖子 ]  前往页数 1, 2  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译